#
# spec file for package mate-notification-daemon
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.16
Name:           mate-notification-daemon
Version:        1.16.0
Release:        1.1
Summary:        Notification daemon for MATE
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            http://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(x11)
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
D-Bus notification daemon for MATE.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --libexecdir=%{_libexecdir}/%{name} \
  --disable-static                    \
  --disable-schemas-install
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file mate-notification-properties

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_bindir}/mate-notification-properties
%dir %{_libexecdir}/mate-notification-daemon/
%{_libexecdir}/mate-notification-daemon/mate-notification-daemon
%dir %{_libdir}/mate-notification-daemon/
%dir %{_libdir}/mate-notification-daemon/engines/
%{_libdir}/mate-notification-daemon/engines/lib*.so
%{_datadir}/applications/mate-notification-properties.desktop
%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service
%{_datadir}/icons/hicolor/*/apps/*
%dir %{_datadir}/mate-notification-daemon/
%{_datadir}/mate-notification-daemon/mate-notification-properties.ui
%{_datadir}/glib-2.0/schemas/*.xml
%{_mandir}/man1/mate-notification-properties.1%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Build: Use 'm4' dir instead of 'macros' for m4 macros, like
    in other projects.
  * Move to GTK+3 (require GTK+ >= 3.14), drop GTK+2 code and
  - -with-gtk build option.
  * Add support for GNotification.
  * Fix escaping of special characters.
  * Fix various GTK+ deprecations.
  * Update translations.
* Sat Jul  2 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * themes: Make text translatable.
  * Save some RAM in NotifyTimeout.
  * Coco, Nodoka: Set notification window type.
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Drop MateConf migration script.
  * GTK+3: Stop reversing fg/bg colours in slider theme (use
    colours from the current GTK+ theme as is).
  * Update translations.
  * Add Changelog generation.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * GTK+3: Explicitly wrap notification text at 50 characters.
  * GTK+3: Some deprecation fixes.
  * Drop MateConf migration script.
  * GTK+3: Some more fixes for the slider theme.
* Sun Jan  3 2016 sor.alexei@meowr.ru
- Switch to Gtk3.
* Mon Nov 30 2015 sor.alexei@meowr.ru
- Update to 1.12.1:
  * Fix crash due to regression.
  * Gtk3 fixes.
  * Update translations.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0:
  * Retrieve strings directly from gschema (requires intltool
    0.50.1).
  * Multiple theme fixes.
* Fri Oct  9 2015 sor.alexei@meowr.ru
- Update to 1.11:
  * Fixes for Gtk3 themes.
  * Some general improvements.
* Mon Oct  5 2015 sor.alexei@meowr.ru
- Update to 1.10.2:
  * Standard theme: fix crash when clicking on close button.
  * Properties: remove useless help button.
  * Fix build with GLib 2.36.
  * Some more bugfixes.
* Thu Jul 23 2015 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Do not crash on notifications from Rhythmbox.
  * Bugfixes.
  * Update translations.
* Mon May  4 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * Bugfixes
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.9.90 (unstable)
  * Bugfixes
* Tue Nov 11 2014 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  + No changelog available
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + No changelog available
- Fix version requirements
* Thu Oct 23 2014 p.drouand@gmail.com
- Update to version 1.8.1
  + Bugfixes
  + Fix crash when active workspace us NULL
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Wed Feb 19 2014 p.drouand@gmail.com
- Update to version 1.7.90
  + switch to libwnck
* Sun Jan 19 2014 p.drouand@gmail.com
- Update to version 1.7.1
  + standard: Add GTK3 support
  + slider: Add GTK3 support
  + coco: Add GTK3 support
  + nodoka: Add GTK3 support
  + update translations
* Fri Jan 17 2014 p.drouand@gmail.com
- Update to version 1.7.0
  + capplet: Add keywords in desktop file
    Closes #27 (https://github.com/mate-desktop/mate-notification-daemon/issues/27)
  + capplet: Fix typos in manpage
  +  Check value type of notification hint 'urgency' before
    dereferencing in nodoka and coco theme
  + add GTK3 support
  + configure: Support multiple wnck versions
  + let 'make dist' create tar.xz tarballs
  + update translations
  + update for automake-1.13
* Fri Oct 25 2013 p.drouand@gmail.com
- Update to version 1.6.1
  + add manpage for mate-notification-properties
  + back to libwnck
  + make automake happy: INCLUDES->AM_CPPFLAGS
  + add update-icon-cache config option for makedistcheck
  + update translations
  + fix EXTRA_DIST gsettings variable
* Sat Oct  5 2013 p.drouand@gmail.com
- Call update-desktop-database for mate-notification-properties.desktop
* Wed Apr  3 2013 p.drouand@gmail.com
- Update to version 1.6.0
  + remove category MATE in mate-notification-properties.desktop
* Sun Mar 10 2013 nmo.marques@gmail.com
- Update to version 1.5.2
  + always show notification if 'expires never' is defined
  + use libnotify instead of libmatenotify
  + updated translations
  + minor fixes
* Thu Jan 24 2013 nmo.marques@gmail.com
- Update to version 1.5.1
  + remove unused code
  + backend now supports selecting which monitor to display
  + added 'use-active-monitor' and 'monitor-number' to schema to
    select which monitor displays notifications
  + fix engine loading portability
  + remove gettext and libtool files
  + other minor fixes
* Sun Oct 21 2012 nmo.marques@gmail.com
- Update to version 1.5.0
  + migration to gsettings and DBus
  + fix type in configure.ac and change default settings
  + fix FSF address in several files
- Add macros for glib2/gsettings and hicolor icon cache rebuild
* Sat Sep  8 2012 nmo.marques@gmail.com
- update to version 1.4.0
- copypac to X11:MATE
  + minor cosmetic fixes
* Sat Jun 16 2012 nmo.marques@gmail.com
- update to 1.3.1
  + move spec to mateconf macros and minor cleanups
- removed mate-notification-daemon-1.1.0-fix-typo-daemon.c.pach: no
  longer required
* Sun Jan  1 2012 fisiu@opensuse.org
- add mate-notification-daemon-1.1.0-fix-typo-daemon.c.pach
* Sun Jan  1 2012 fisiu@opensuse.org
- initial package from version 1.2.0
